org.eclipse.rdf4j.sparqlbuilder.core.query

## Class LoadQuery

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.query.LoadQuery

- All Implemented Interfaces:
    QueryElement

      public class LoadQuery
      extends Object

  A SPARQL LOAD Query
  See Also:
    SPARQL LOAD Query

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendSilent(StringBuilder builder)`
    `LoadQuery` | `from(Iri from)` Specify which graph to load form
    `String` | `getQueryString()`
    `T` | `silent()` Set the `SILENT` option to true on this query
    `T` | `silent(boolean isSilent)` Specify if the `SILENT` option should be on for this query
    `LoadQuery` | `to(Iri to)` Specify which graph to load into, if not the default graph

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public LoadQuery from(Iri from)

      Specify which graph to load form
      Parameters:
        `from` - the IRI identifying the graph to load triples from
      Returns:
        this LoadQuery instance

    - #### to

          public LoadQuery to(Iri to)

      Specify which graph to load into, if not the default graph
      Parameters:
        `to` - the IRI identifying the graph to load into
      Returns:
        this LoadQuery instance

    - #### getQueryString

          public String getQueryString()

      Returns:
        the String representing the SPARQL syntax of this element

    - #### silent

          public T silent()

      Set the `SILENT` option to true on this query
      Returns:
        this query instance

    - #### silent

          public T silent(boolean isSilent)

      Specify if the `SILENT` option should be on for this query
      Parameters:
        `isSilent` - if this should be a SILENT operation or not
      Returns:
        this query instance

    - #### appendSilent

          protected void appendSilent(StringBuilder builder)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.